Skip to main content

Custom Get

The custom method GetCustomInfo retrieves information from a custom query.


HTTP POST Request

Request TypeExample URL
POST{{url_base}}/GetCustomInfo
Examplehttp://seuIPePorta/datasnap/rest/RESTWebServiceMethods/"GetCustomInfo"

Input Parameters​

ParameterTypeRequiredDescription
CustomInfoScriptNameString(50)YesDescription of the custom query configured in the database
CustomInfoParameterListCustomInfoParameterListNoList of objects with the query execution parameters

📝 CustomInfoParameter Object​

The CustomInfoParameter object represents a parameter to execute the custom query.

Input Parameters​

ParameterTypeRequiredDescription
ParamNameString(30)YesCustom parameter name
ParamValueString(50)YesCustom parameter value
ParamTypeCustomInfoParamTypeNoEnumerator with possible values for Parameter Type (cipNotAssigned, cipString, cipNumeric, cipDateTime)

Return​

ParameterTypeRequiredDescription
WebServiceReturnWebServiceReturnYesStandard WebService response information in method execution
CustomInfoResultListGetCustomInfoResultListYesList of objects with the custom query return information

📝 GetCustomInfoResult Object​

The GetCustomInfoResult object represents a custom query return.

Return Parameters​

ParameterTypeRequiredDescription
ResultRowInfoListGetCustomInfoResultFieldListYesList of objects with all columns and values returned by the query result row

📝 GetCustomInfoResultField Object​

The GetCustomInfoResultField object represents a column of a custom query row.

Return Parameters​

ParameterTypeRequiredDescription
FieldNameString(30)YesColumn name returned in a custom query result row
FieldValueString(2000)YesColumn value returned in a custom query result row

Request Example​

curl --location 'http://seuIPePorta/datasnap/rest/RESTWebServiceMethods/"GetCustomInfo"' \
--header 'Content-Type: application/json' \
--data '{
"CustomInfoScriptName": "GetReleasedLoadListByLastWeighingDate",
"CustomInfoParameterList": [
{
"ParamName": "BranchNo",
"ParamValue": "0102",
"ParamType": "cipString"
},
{
"ParamName": "LoadClosureDate",
"ParamValue": "2025-11-11T20:51:50",
"ParamType": "cipDateTime"
}
]
}'

Response Example​

{
"WebServiceReturn": {
"Status": "wrsSuccess",
"ErrorCode": "",
"Message": "",
"Actor": "",
"ReturnQuestion": null
},
"CustomInfoResultList": [
{
"ResultRowInfoList": [
{
"FieldName": "LoadNo",
"FieldValue": "12112025371"
}
]
},
{
"ResultRowInfoList": [
{
"FieldName": "LoadNo",
"FieldValue": "12112025673"
}
]
},
{
"ResultRowInfoList": [
{
"FieldName": "LoadNo",
"FieldValue": "12112025393"
}
]
},
{
"ResultRowInfoList": [
{
"FieldName": "LoadNo",
"FieldValue": "12112025374"
}
]
},
{
"ResultRowInfoList": [
{
"FieldName": "LoadNo",
"FieldValue": "12112025389"
}
]
}
]
}